For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
      • POSTAdd a new domain to the list of blocked domains
      • DELUnblock an existing domain from the list of blocked domains
      • GETGet the list of blocked domains
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Email APIBlocked email domains

Add a new domain to the list of blocked domains

POST
https://api.brevo.com/v3/smtp/blockedDomains
POST
/v3/smtp/blockedDomains
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.transactionalEmails.blockNewDomain({
8 domain: "example.com",
9 });
10}
11main();
1{}
Blocks a new domain in order to avoid messages being sent to the same
Was this page helpful?
Previous

Unblock an existing domain from the list of blocked domains

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Request

Name of the domain to be blocked
domainstringRequired
name of the domain to be blocked

Response

Domain is successfully blocked

Errors

400
Bad Request Error